" function
" count
source ~/.config/vim/vimconfig/Count.vim
" toggle comment
source ~/.config/vim/vimconfig/ToggleComment.vim
" auto insert copyright when create .h .cc file
source ~/.config/vim/vimconfig/CopyRight.vim
" macro definition __copyRight__ 
source ~/.config/vim/vimconfig/InsertCopyRight.vim
" normal config
source ~/.config/vim/vimconfig/setting.vim
" NERDTree 
set runtimepath+=~/.config/vim/vimplugin/nerdtree-master
source ~/.config/vim/vimconfig/nerdtree.vim
" auto reformat when save .h .cc file
source ~/.config/vim/vimconfig/autoReformat.vim

" theme
" vim color
source  ~/.config/vim/vimcolor/solarized-master/vim-colors-solarized/colors/solarized.vim
" cpp highLight
source ~/.config/vim/vimcolor/setCpp.vim
" airline
set runtimepath+=~/.config/vim/vimplugin/vim-airline-master
source ~/.config/vim/vimcolor/airline.vim
" one dark
set runtimepath+=~/.config/vim/vimplugin/onedark.vim-main
source ~/.config/vim/vimcolor/onedark.vim
" rainbow
set runtimepath+=~/.config/vim/vimplugin/rainbow-master
source ~/.config/vim/vimcolor/rainbow.vim
